{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
       
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data UMKM & KOPERASI</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_umkm_create' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Tambah UMKM / Koperasi</button>
    </a>
    <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data UMKM Diarsipkan</button>
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-list"></i> Data UMKM & KOPERASI</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-info text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <td>Jenis Input</td>
                        <td>Wilayah</td>
                        <td>Nama Usaha / Koperasi</td>
                        <td>Tanggal Input & Bukti</td>
                        <td>Nama Owner</td>
                        <td>Modal Usaha</td>
                        <td>Bantuan</td>
                        <td>Ijin Usaha</td>
                        <td>Akta Pendirian</td>
                        <td>Jumlah Karyawan</td>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for dataumkm_koperasi in UMKM %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td>{{dataumkm_koperasi.jeniinput}} </td>
                                <td class="tdx">{{dataumkm_koperasi.kampung.distrik.title}}-{{dataumkm_koperasi.kampung.titles}} </td>
                                <td>{{dataumkm_koperasi.title_usaha}} <br>Jenis Usaha : {{dataumkm_koperasi.jenis_usaha}} </td>
                                <td><span style="font-size: 12px;">{{dataumkm_koperasi.create_date}}</span> <br> <b>Bukti : </b><img src="{{dataumkm_koperasi.foto.url}} " width="100"></td>
                                <td>{{dataumkm_koperasi.title_owner}} </td>
                                <td>{{dataumkm_koperasi.modal_usaha}} </td>
                                <td>{{dataumkm_koperasi.bantuan}} </td>
                                <td>{{dataumkm_koperasi.izin_usaha}} </td>
                                <td>{{dataumkm_koperasi.akta_usaha}} </td>
                                <td>{{dataumkm_koperasi.jml_karyawan}} Orang </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#editumkm-{{dataumkm_koperasi.id}}"><span class="fa fa-edit"></span></button>
                                        <div class="modal fade " id="editumkm-{{dataumkm_koperasi.id}}"  role="dialog" aria-labelledby="editumkm-{{dataumkm_koperasi.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Edit Data UMKM</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                        
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_umkm_edit' dataumkm_koperasi.id %}">
                                                                {% csrf_token %}
                                                                <div class="row no-gutters align-items-center">
                                                                    <div class="col-md-5">  
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                               Wilayah
                                                                               <input type="hidden" value="{{dataumkm_koperasi.kodeperikanan}}" name="kodeperikanan">
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                                                                <option value="">Kampung/Distrik</option>
                                                                                {% for data_kampung in datakampung_list %}
                                                                                    <option value="{{ data_kampung.id }}" {% if data_kampung.id == dataumkm_koperasi.kampung_id %}selected{% endif %}>
                                                                                        {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                    </option>
                                                                                {% endfor %}    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Penanggungjawab
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="penanggungjawab" class="form-control" required>
                                                                                <option value="">Pilih Penanggungjawab</option>
                                                                                {% for datajawab in datajawab_list %}
                                                                                    <option value="{{datajawab.id}}" {% if datajawab.id == dataumkm_koperasi.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                                {% endfor %}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Tahun
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="tahun"  class="form-control" required>
                                                                                <option value="{{dataumkm_koperasi.tahun}}" {% if tahun == dataumkm_koperasi.tahun %}selected{% endif %}>{{dataumkm_koperasi.tahun}}</option>
                                                                                <option value="">Pilih Tahun</option>
                                                                                <option value="2020">2020</option>    
                                                                                <option value="2021">2021</option>    
                                                                                <option value="2022">2022</option>    
                                                                                <option value="2023">2023</option>    
                                                                                <option value="2024">2024</option>    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <hr>
                                                                <div class="row" style="padding-top: 20px;">
                                                                    <div class="form-group col-md-4">
                                                                        <label for="tipeinputan">Pilih Jenis Inputan</label>
                                                                        <select name="jeniinput" class="form-control">
                                                                            <option value="{{dataumkm_koperasi.jeniinput}}" {% if jeniinput == dataumkm_koperasi.jeniinput %}selected{% endif %}>{{dataumkm_koperasi.jeniinput}}</option>
                                                                            <option value="">Pilih Jenis Inputan</option>
                                                                            <option value="UMKM">UMKM</option>
                                                                            <option value="KOPERASI">KOPERASI</option>
                                                                        </select>
                                                                    </div>
                                                                    <div class="form-group col-md-6">
                                                                        <label for="jenis_usaha">Jenis Usaha /Koperasi</label>
                                                                        <input type="text"  placeholder="Jenis usaha /koperasi"
                                                                            class="form-control"
                                                                            name="jenis_usaha"  value="{{dataumkm_koperasi.jenis_usaha}}"
                                                                            required>
                                                                    </div>
                                                                </div>
                                                                <div class="row" style="color:black; border-radius: 0px 0px 0px 0px;">
                                                                    <div class="form-group col-md-6">
                                                                        <label for="judul">Masukan Nama Usaha/Koperasi</label>
                                                                        <input type="text" placeholder="Masukkan Nama Usaha/Koperasi"
                                                                            class="form-control"
                                                                            name="title_usaha" value="{{dataumkm_koperasi.title_usaha}}"
                                                                            required>
                                                                    </div>
                                                                    <div class="form-group col-md-6">
                                                                        <label for="judul">Pemilik Usaha/Koperasi</label>
                                                                        <input type="text" placeholder="Pemilik Usaha/Koperasi"
                                                                            class="form-control"
                                                                            name="title_owner" value="{{dataumkm_koperasi.title_owner}}"
                                                                            required>
                                                                    </div>
                                                                </div>
                                                                <div class="row" style="color:black; border-radius: 0px 0px 0px 0px;">
                                                                    <div class="form-group col-md-4">
                                                                        <label for="judul">Modal Usaha/Koperasi</label>
                                                                        <input type="number" placeholder="Rp."
                                                                            class="form-control"
                                                                            name="modal_usaha" value="{{dataumkm_koperasi.modal_usaha}}"
                                                                            required>
                                                                    </div>
                                                                    <div class="form-group col-md-4">
                                                                        <label for="judul">Izin Usaha/Koperasi</label>
                                                                        <input type="text" placeholder="No."
                                                                            class="form-control"
                                                                            name="izin_usaha" value="{{dataumkm_koperasi.izin_usaha}}"
                                                                            required>
                                                                    </div>
                                                                    <div class="form-group col-md-4">
                                                                        <label for="judul">Akta Usaha/Koperasi</label>
                                                                        <input type="text" placeholder="No."
                                                                            class="form-control"
                                                                            name="akta_usaha" value="{{dataumkm_koperasi.akta_usaha}}"
                                                                            required>
                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="row" style="color: black; border-radius: 0px 0px 10px 10px;">
                                                                    <div class="form-group col-md-4">
                                                                        <label for="judul">Bantuan</label>
                                                                        <input type="text" placeholder="Rp."
                                                                            class="form-control"
                                                                            name="bantuan" value="{{dataumkm_koperasi.bantuan}}"
                                                                            required>
                                                                    </div>
                                                                    <div class="form-group col-md-4">
                                                                        <label for="judul">Jumlah Karyawan</label>
                                                                        <input type="number" placeholder="Jumlah Karyawan"
                                                                            class="form-control"
                                                                            name="jml_karyawan" value="{{dataumkm_koperasi.jml_karyawan}}"
                                                                            required>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <label style="padding-top: 35px;" for="judul">/Orang</label>
                                                                    </div>
                                                                    
                                                                </div>
                                                                <div class="row" style="background-color: rgba(7, 134, 245, 0.184); color: black;">
                                                                    <div class="form-group col-md-4">
                                                                        <label style="padding-top: 35px;" for="foto">Upload Foto</label>
                                                                        <input type="file" name="foto" class="form-control"  value="{{dataumkm_koperasi.foto}}">
                                                                    </div>
                                                                    <div class="form-group col-md-4">
                                                                        <br>
                                                                        <label style="padding-top: 35px;" for="foto">Butki</label>
                                                                        <img src="{{dataumkm_koperasi.foto.url}}" width="100">
                                                                    </div>
                                                                </div>
                                                                
                                                            <div class="modal-footer align-items-center">
                                                                <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                                                                <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ dataumkm_koperasi.title }}`, '{{ dataumkm_koperasi.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    {% include 'profile/admin/umkm/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/umkm/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/umkm/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/umkm/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/umkm/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}